function runscript()
	if (getflag(3) == 0) then
		fadeoutinstant();
		musvol(0)
		setflag(3, FLAG_ON);
		say("You were probably wondering what this adventure was for.")
		say("||||It was for donuts.")
		wait(50);
		musvol(100);
		musres();
		fadein();
	end	 
end